Generic Image Library: color_converted_view

###  | #  |

Classes | Functions
color_converted_view
Image View » Algorithms and Utility Functions » Image View Transformations

Color converted view of another view. More...

## Classes
class | color_convert_deref_fn< SrcConstRefP, DstP, CC >
| Function object that given a source pixel, returns it converted to a given color space and channel depth. Models: PixelDereferenceAdaptorConcept. More...
struct | color_converted_view_type< SrcView, DstP, CC >
| Returns the type of a view that does color conversion upon dereferencing its pixels. More...
struct | color_converted_view_type< any_image_view< Views... >, DstP, CC >
| Returns the type of a runtime-specified view, color-converted to a given pixel type with user specified color converter. More...
struct | color_converted_view_type< any_image_view< Views... >, DstP >
| Returns the type of a runtime-specified view, color-converted to a given pixel type with the default coor converter. More...

## Functions
template<typename DstP , typename View , typename CC >
auto | color_converted_view (View const &src, CC cc) -> typename color_converted_view_type< View, DstP, CC >::type
| view of a different color space with a user defined color-converter
template<typename DstP , typename View >
auto | color_converted_view (View const &src) -> typename color_converted_view_type< View, DstP >::type
| overload of generic color_converted_view with the default color-converter
template<typename DstP , typename ... Views, typename CC >
auto | color_converted_view (any_image_view< Views... > const &src, CC cc) -> typename color_converted_view_type< any_image_view< Views... >, DstP, CC >::type
| overload of generic color_converted_view with user defined color-converter
template<typename DstP , typename ... Views>
auto | color_converted_view (any_image_view< Views... > const &src) -> typename color_converted_view_type< any_image_view< Views... >, DstP >::type
| overload of generic color_converted_view with the default color-converter
template<typename DstP , typename ... Views, typename CC >
auto | any_color_converted_view (const any_image_view< Views... > &src, CC cc) -> typename color_converted_view_type< any_image_view< Views... >, DstP, CC >::type
| overload of generic color_converted_view with user defined color-converter These are workarounds for GCC 3.4, which thinks color_converted_view is ambiguous with the same method for templated views (in gil/image_view_factory.hpp)
template<typename DstP , typename ... Views>
auto | any_color_converted_view (const any_image_view< Views... > &src) -> typename color_converted_view_type< any_image_view< Views... >, DstP >::type
| overload of generic color_converted_view with the default color-converter These are workarounds for GCC 3.4, which thinks color_converted_view is ambiguous with the same method for templated views (in gil/image_view_factory.hpp)

## Detailed Description

Color converted view of another view.

## Function Documentation

## ◆ any_color_converted_view() [1/2]

template<typename DstP , typename ... Views>

auto any_color_converted_view | ( | const any_image_view< Views... > & | src | ) | -> typename color_converted_view_type<any_image_view<Views...>, DstP>::type
| inline

overload of generic color_converted_view with the default color-converter These are workarounds for GCC 3.4, which thinks color_converted_view is ambiguous with the same method for templated views (in gil/image_view_factory.hpp)

Template Parameters

  Views | Models Boost.MP11-compatible list of models of ImageViewConcept

## ◆ any_color_converted_view() [2/2]

template<typename DstP , typename ... Views, typename CC >

auto any_color_converted_view | ( | const any_image_view< Views... > & | src,
|  | CC | cc ) -> typename color_converted_view_type<any_image_view<Views...>, DstP, CC>::type
| inline

overload of generic color_converted_view with user defined color-converter These are workarounds for GCC 3.4, which thinks color_converted_view is ambiguous with the same method for templated views (in gil/image_view_factory.hpp)

Template Parameters

  Views | Models Boost.MP11-compatible list of models of ImageViewConcept

## ◆ color_converted_view() [1/2]

template<typename DstP , typename ... Views>

auto color_converted_view | ( | any_image_view< Views... > const & | src | ) | -> typename color_converted_view_type<any_image_view<Views...>, DstP>::type
| inline

overload of generic color_converted_view with the default color-converter

Template Parameters

  Views | Models Boost.MP11-compatible list of models of ImageViewConcept

## ◆ color_converted_view() [2/2]

template<typename DstP , typename ... Views, typename CC >

auto color_converted_view | ( | any_image_view< Views... > const & | src,
|  | CC | cc ) -> typename color_converted_view_type<any_image_view<Views...>, DstP, CC>::type
| inline

overload of generic color_converted_view with user defined color-converter

Template Parameters

  Views | Models Boost.MP11-compatible list of models of ImageViewConcept